Name:      	zint
Version:   	2.6.2
Release:   	%mkrel 2
Summary:   	Barcode generator library
Group:     	Text tools
License:   	GPLv3+
URL:       	http://www.zint.org.uk
Source0:    	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	%name.png
Patch0:    	%{name}-rpath.patch
Patch1:		%{name}-menufile.patch
#---------------------------------------
BuildRequires: cmake
BuildRequires: ImageMagick
BuildRequires: libpng-devel
BuildRequires: zlib1-devel
BuildRequires: desktop-file-utils
BuildRequires: qttools5
BuildRequires: qttools5-linguist
BuildRequires: qt5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5designer-devel
#---------------------------------------
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Zint is a C library for encoding data in several barcode variants. The
bundled command-line utility provides a simple interface to the library.
Features of the library:
- Over 50 symbologies including all ISO/IEC standards, like QR codes.
- Unicode translation for symbologies which support Latin-1 and 
  Kanji character sets.
- Full GS1 support including data verification and automated insertion of 
  FNC1 characters.
- Support for encoding binary data including NULL (ASCII 0) characters.
- Health Industry Barcode (HIBC) encoding capabilities.
- Output in PNG, EPS and SVG formats with user adjustable sizes and colors.
- Verification stage for SBN, ISBN and ISBN-13 data.

%package devel
Summary:       Library and header files for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel 
C library and header files needed to develop applications that use 
the Zint library. The API documentation can be found on the project website:
http://www.zint.org.uk/zintSite/Manual.aspx

%package qt
Summary:       Zint Barcode Studio
Group:         Text tools

%description qt
Zint Barcode Studio is a Qt-based GUI which allows desktop users to generate 
barcodes which can then be embedded in documents or HTML pages.

%package qt-devel
Summary:       Library and header files for %{name}-qt
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description qt-devel 
C library and header files needed to develop applications that use libQZint.

%prep
%setup -qn %{name}-%{version}.src
%patch0 -p1
%patch1 -p1

# cosmetics
rm -f %{name}.png
rm -f frontend_qt/images/%{name}.png
convert %SOURCE1 -scale 48x48 %{name}.png
cp %{name}.png frontend_qt/images/%{name}.png

# remove BSD-licensed file required for Windows only (just to ensure that this package is plain GPLv3+)
rm -f backend/ms_stdint.h

# remove bundled getopt sources (we use the corresponding pclos package instead)
rm -f frontend/getopt*.*

# fix attributes
find -type f -exec chmod 644 {} \;

%build
%cmake 
%make VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

rm -rf $RPM_BUILD_ROOT/%{_datadir}/apps

gunzip frontend/%{name}.1.gz
install -Dpm 644 frontend/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -Dpm 644 cmake/modules/FindZint.cmake %{buildroot}%{_datadir}/cmake/Modules/FindZint.cmake
install -Dpm 644 %SOURCE1 %{buildroot}/usr/share/pixmaps/%{name}.png
install -Dpm 644 %{name}-qt.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post qt
/sbin/ldconfig

%postun qt
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc docs/manual.txt COPYING README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_libdir}/libzint.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/libzint.so
%{_datadir}/cmake/Modules/*.cmake

%files qt
%defattr(-,root,root,-)
%{_bindir}/%{name}-qt
%{_libdir}/libQZint.so.*
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/pixmaps/%{name}.png

%files qt-devel
%defattr(-,root,root,-)
%{_includedir}/qzint.h
%{_libdir}/libQZint.so


%changelog
* Sat Jan 06 2018 bb2 <bb2> - 2.6.2-2pclos2018
- clean up BR a little

* Fri Jan 05 2018 Zen Subz <techars21 at gmail dot com> - 2.6.2-1pclos2018
- Update to latest release

